<template lang="pug">
round-dropdown(icon="add")
  z-menu
    li.menu-item
      nuxt-link.menu-item(:to="{ path: localePath('account-corpora-create') }")
        <z-icon tabindex="-1" name="local_library"/> {{ $t('create') }} {{ $tc('corpus', 1) | capitalize }}
    li.menu-item
      nuxt-link.menu-item(:to="{ path: localePath('account-corpora-import') }")
        <z-icon tabindex="-1" name="get_app"/> {{ $tc('import') }} {{ $tc('corpus', 1) | capitalize }}
    li.menu-item
      nuxt-link.menu-item(:to="{ path: localePath('account-teams') }")
        <z-icon tabindex="-1" name="group"/> {{ $t('create') }} {{ $tc('organisation', 1) | capitalize }}
    li.divider
    li.menu-item
      nuxt-link.menu-item(:to="{ path: localePath('settings') + '#federation' }")
        <z-icon tabindex="-1" name="explore"/> {{ $tc('follow', 1) }} {{ $tc('instance', 1) | capitalize }}
</template>

<script>
import RoundDropdown from '~/components/RoundDropdown'

export default {
  components: {
    RoundDropdown
  }
}
</script>

<style lang="postcss" scoped>
.menu {
  left: 30% !important;
  min-width: 11rem;
}

a {
  display: flex !important;
  flex: 1;

  & i {
    margin-right: 0.6rem;
  }
}
</style>
